#ifndef __SENDER_H__
#define __SENDER_H__ 1
/* 
   elmo - ELectronic Mail Operator

   Copyright (C) 2003 rzyjontko

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
/****************************************************************************
 *    INTERFACE REQUIRED HEADERS
 ****************************************************************************/

#include "ask.h"

/****************************************************************************
 *    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE STRUCTURES / UTILITY CLASSES
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE DATA DECLARATIONS
 ****************************************************************************/

extern ask_t *sender_ask;

/****************************************************************************
 *    INTERFACE FUNCTION PROTOTYPES
 ****************************************************************************/

extern void sender_init (void);
extern void sender_free_resources (void);
extern void sender_refresh (void);
extern void sender_redraw (void);

/** send */
extern void sender_go (void);
extern void sender_open (char *file);
extern void sender_open_new_to (char *to);
/** compose new message */
extern void sender_open_new (void);
/** reply to the message */
extern void sender_open_reply (void);
/** reply to all recepients */
extern void sender_open_reply_all (void);
/** forward the message */
extern void sender_open_fwd (void);
/** close this window */
extern void sender_close (void);
/** move to the previous position */
extern void sender_prev (void);
/** move on to the next position */
extern void sender_next (void);
/** move to the previous page */
extern void sender_prev_page (void);
/** move on to the next page */
extern void sender_next_page (void);
/** move to the first position */
extern void sender_first (void);
/** move to the last position */
extern void sender_last (void);

/** change smtp server */
extern void sender_change_smtp (void);
/** change from */
extern void sender_change_from (void);
/** change reply-to */
extern void sender_change_reply_to (void);
/** change to */
extern void sender_change_to (void);
/** change cc */
extern void sender_change_cc (void);
/** change bcc */
extern void sender_change_bcc (void);
/** change subject */
extern void sender_change_subject (void);

/** attach a file */
extern void sender_add_attachment (void);
/** remove attachment */
extern void sender_delete_attachment (void);
/** change content-type of attachment */
extern void sender_change_type (void);

/****************************************************************************
 *    INTERFACE OBJECT CLASS DEFINITIONS
 ****************************************************************************/
/****************************************************************************
 *    INTERFACE TRAILING HEADERS
 ****************************************************************************/
/****************************************************************************
 *
 *    END HEADER sender.h
 *
 ****************************************************************************/
#endif
